html {
  font-size: 16px;
  overflow-x: hidden;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-tap-highlight-color: #394458;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow-y: scroll;
  -webkit-text-size-adjust: 100%;
}

.main-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.card-content {
  display: flex;
  flex-direction: column;
  justify-items: center;
  width: 100%;
  padding: 20px;
  border: none !important;
}
.card-content:after {
  width: 50% !important;
  border-bottom: #394458 1px !important;
}
::placeholder {
  color: lightgray;
  opacity: 1;
}

.mdl-textfield.is-focused .mdl-textfield__label {
  color: #394458;
}

.mdl-textfield__label:after {
  background-color: #394458;
}

.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,
.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label {
  color: #394458;
}

.mdl-button.mdl-button--colored {
  background-color: #394458;
}

.demo-card-square.mdl-card {
  width: 500px;
}

.demo-card-square > .mdl-card__title {
  color: #fff;
  background: url('../assets/CCLogo.png') top 15% right 10% no-repeat #394458;
  min-height: 174pt;
}

.mdl-textfield__input {
  align-self: stretch;
}

.btn-pay {
  align-self: stretch;
}
.wpwl-form {
  margin: 0 !important;
  max-width: 100% !important;
}

.wpwl-control {
  border: none !important;
  background-color: inherit !important;
  color: #394458 !important;
  padding: 4px 0 !important;
}

.wpwl-group-brand {
  display: none !important;
}

.wpwl-wrapper-registration-brand {
  width: 30% !important;
}

.wpwl-registration {
  display: flex;
  align-items: center !important;
  justify-content: center !important;
}

.wpwl-group-registration {
  display: flex;
  color: rgb(57, 68, 88);
  padding: 25px;
  width: 100%;
  box-shadow: 0px 24px 3px -24px lightgray;
}

.wpwl-selected {
  box-shadow: none;
}

.wpwl-wrapper-registration-details {
  display: flex;
  flex-flow: row;
}

.wpwl-has-error ~ .wpwl-hint {
  color: #ff5252 !important;
  margin: 0;
  font-size: 12px;
  display: none;
}

.wpwl-container {
  width: 100%;
}
.wpwl-container .ccpay-messages__wrapper {
  color: #ff5252 !important;
  height: 18px !important;
}

.wpwl-group {
  margin-bottom: 0 !important;
}

#card-cvv-slot {
  margin-top: -2px !important;
}

#expiry-slot {
  margin-top: 2px !important;
}

.wpwl-wrapper {
  width: 100% !important;
}

.theme--light.ccpay-input,
.theme--light.ccpay-input input,
.theme--light.ccpay-input textarea {
  color: #394458;
}
.ccpay-input {
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  font-size: 16px;
  letter-spacing: normal;
  max-width: 100%;
  text-align: left;
  margin-left: auto;
  margin-right: auto;
  width: 80%;
}

.ccpay-input input {
  max-height: 32px;
}

.ccpay-input input:active,
.ccpay-input input:focus,
.ccpay-input textarea:active,
.ccpay-input textarea:focus {
  outline: none;
}

.ccpay-input .ccpay-label {
  height: 20px;
  line-height: 20px;
}

.ccpay-input__control {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  height: auto;
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  min-width: 0;
  width: 100%;
}

.ccpay-input__slot {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  color: inherit;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  min-height: inherit;
  position: relative;
  -webkit-transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  width: 100%;
}

.theme--light.ccpay-label {
  color: rgba(57, 68, 88, 0.6);
}

.ccpay-label {
  font-size: 16px;
  line-height: 1;
  min-height: 8px;
  -webkit-transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
}

.theme--light.ccpay-messages {
  color: rgba(57, 68, 88, 0.6);
}

.ccpay-messages {
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  font-size: 12px;
  min-height: 14px;
  min-width: 1px;
  position: relative;
}

.row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  margin-right: -12px;
  margin-left: -12px;
}

.col,
.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11,
.col-12,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-auto {
  width: 100%;
}

.col {
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%;
}

.col-md-12 {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%;
}

.theme--light.ccpay-text-field
  > .ccpay-input__control
  > .ccpay-input__slot:before {
  border-color: #394458;
}

.theme--light.ccpay-text-field:not(.ccpay-input--has-state):hover
  > .ccpay-input__control
  > .ccpay-input__slot:before {
  border-color: #394458;
}

.ccpay-text-field input {
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  line-height: 20px;
  padding: 8px 0 8px;
  max-width: 100%;
  min-width: 0;
  width: 100%;
}

.ccpay-text-field .ccpay-input__control,
.ccpay-text-field .ccpay-input__slot,
.ccpay-text-field fieldset {
  border-radius: inherit;
}

.ccpay-text-field.ccpay-input--has-state
  .ccpay-input__control
  > .ccpay-text-field__details
  > .ccpay-counter,
.ccpay-text-field.ccpay-input--is-disabled
  .ccpay-input__control
  > .ccpay-text-field__details
  > .ccpay-counter,
.ccpay-text-field.ccpay-input--is-disabled
  .ccpay-input__control
  > .ccpay-text-field__details
  > .ccpay-messages,
.ccpay-text-field .ccpay-input__control,
.ccpay-text-field fieldset {
  color: inherit;
}

.ccpay-text-field .ccpay-label {
  max-width: 90%;
  overflow: hidden;
  text-overflow: ellipsis;
  top: 6px;
  white-space: nowrap;
  pointer-events: none;
}

.ccpay-text-field .ccpay-label--active {
  max-width: 133%;
  transform: translateY(-18px);
  font-size: 12px;
}

.ccpay-text-field > .ccpay-input__control > .ccpay-input__slot {
  cursor: text;
  -webkit-transition: background 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  transition: background 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
}

.ccpay-text-field > .ccpay-input__control > .ccpay-input__slot:after,
.ccpay-text-field > .ccpay-input__control > .ccpay-input__slot:before {
  bottom: -1px;
  content: '';
  left: 0;
  position: absolute;
  -webkit-transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  width: 100%;
}

.ccpay-text-field > .ccpay-input__control > .ccpay-input__slot:before {
  border-color: inherit;
  border-style: solid;
  border-width: thin 0 0 0;
}

.ccpay-text-field > .ccpay-input__control > .ccpay-input__slot:after {
  border-color: currentColor;
  border-style: solid;
  border-width: thin 0 thin 0;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
}

.ccpay-text-field__details {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -ms-flex: 1 0 auto;
  flex: 1 0 auto;
  max-width: 100%;
  min-height: 14px;
  overflow: hidden;
  margin-bottom: 8px;
}

.ccpay-text-field
  > .ccpay-input__control
  > .ccpay-input__slot
  > .ccpay-text-field__slot {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  position: relative;
}

.ccpay-text-field.ccpay-input--is-focused
  > .ccpay-input__control
  > .ccpay-input__slot:after {
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}

*,
:after,
:before {
  -webkit-box-sizing: inherit;
  box-sizing: inherit;
}

:after,
:before {
  text-decoration: inherit;
  vertical-align: inherit;
}

* {
  background-repeat: no-repeat;
  padding: 0;
  margin: 0;
}
a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}

a:active,
a:hover {
  outline-width: 0;
}

input {
  border-radius: 0;
}

[role='button'],
[type='button'],
[type='reset'],
[type='submit'],
button {
  cursor: pointer;
}

[disabled] {
  cursor: default;
}

button,
input,
optgroup,
select,
textarea {
  font: inherit;
}
button {
  overflow: visible;
}

[type='reset'],
[type='submit'],
button,
html [type='button'] {
  -webkit-appearance: button;
}

button,
select {
  text-transform: none;
}

button,
input,
select,
textarea {
  background-color: transparent;
  border-style: none;
  color: inherit;
}

.wpwl-message::first-line {
  font-size: large;
  line-height: 3em;
}

.wpwl-message {
  font-size: small;
  color: #394458 !important;
  line-height: 1.6em;
  padding: 30px;
  text-align: center;
}

.wpwl-group-billing {
  margin-left: auto;
  margin-right: auto;
  width: 80%;
}
